## ros-galactic-asio-cmake-module 1.1.1

=== CMakeLists.txt ===
# Copyright 2021 TierIV, Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(asio_cmake_module)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "asio_cmake_module-extras.cmake"
)

install(DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-galactic-asio-cmake-module (1.1.1-1focal) focal; urgency=high



 -- Esteve Fernandez <esteve@apache.org>  Sun, 20 Mar 2022 07:00:00 -0000

ros-galactic-asio-cmake-module (1.1.0-1focal) focal; urgency=high



 -- Esteve Fernandez <esteve@apache.org>  Sun, 20 Mar 2022 07:00:00 -0000

ros-galactic-asio-cmake-module (1.0.1-1focal) focal; urgency=high

  * Export ASIO definitions (#44 <https://github.com/ros-drivers/transport_drivers/issues/44>)
  * Deduplicate ASIO CMake module (#43 <https://github.com/ros-drivers/transport_drivers/issues/43>)
    * Added ASIO CMake module
    * Use asio_cmake_module
  * Contributors: Esteve Fernandez

 -- Esteve Fernandez <esteve@apache.org>  Mon, 30 Aug 2021 07:00:00 -0000

ros-galactic-asio-cmake-module (0.0.6-1focal) focal; urgency=high



 -- Esteve Fernandez <esteve@apache.org>  Thu, 27 Aug 2020 07:00:00 -0000

ros-galactic-asio-cmake-module (0.0.5-1focal) focal; urgency=high



 -- Esteve Fernandez <esteve@apache.org>  Thu, 16 Jul 2020 07:00:00 -0000

ros-galactic-asio-cmake-module (0.0.4-1focal) focal; urgency=high



 -- Esteve Fernandez <esteve@apache.org>  Thu, 12 Dec 2019 08:00:00 -0000

ros-galactic-asio-cmake-module (0.0.3-1focal) focal; urgency=high



 -- Esteve Fernandez <esteve@apache.org>  Wed, 21 Aug 2019 07:00:00 -0000

ros-galactic-asio-cmake-module (0.0.2-1focal) focal; urgency=high



 -- Esteve Fernandez <esteve@apache.org>  Mon, 19 Aug 2019 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-asio-cmake-module
Section: misc
Priority: optional
Maintainer: Esteve Fernandez <esteve@apache.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-asio-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ros-workspace
Description: A CMake module for using the ASIO network library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-asio-cmake-module//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
